Tuesday, January 29, 2008

ANN namespace madness

I hadn't checked the scikits Developer's Trac recently. Apparently it's now OK to use non-BSD (but OSI approved) licenses in the scikits namespace. So I've moved our ANN wrapper back. You can get it from the scikits SVN or via
easy_install -f http://rieke-server.physiol.washington.edu/~barry/python/ scikits.ann
if you're on OS X 10.5.

5 comments:

eli said...

Hi, I tried to ez_install the scikits.ann module got the following:

sudo easy_install -f http://rieke-server.physiol.washington.edu/~barry/python scikits.ann
Searching for scikits.ann
Reading http://rieke-server.physiol.washington.edu/~barry/python
Reading http://pypi.python.org/simple/scikits.ann/
Couldn't find index page for 'scikits.ann' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
No local packages or download links found for scikits.ann
error: Could not find suitable distribution for Requirement.parse('scikits.ann')

Barry said...

Eli,

Are you using OS X 10.5 (Leopard)? I don't have access to any other OS to build eggs. If you're on any other platform, easy_install won't be able to find an appropriate egg -- you'll have to get the source from the scikits SVN and install it using the normal `python setup.py install`.

eli said...

Yep,

I'm using OS X 10.5. I have to walk out for a bit, but I will check up on the comments later on today.

Eli

Barry said...

Eli,

Sorry about the hassle. Grr. Maybe the simpler approach is better...

Try

curl -O http://rieke-server.physiol.washington.edu/~barry/python/scikits.ann-0.2.dev_r800-py2.5-macosx-10.5-i386.egg

and then easy_install the resulting .egg. This method worked on a fresh Leopard install here at work. Hopefully it will work for you!

barry

eli said...

Barry,

Two thumbs up. It worked well. I'm going to try it out on my programs and see how it works. Many thanks for building the python module for ANN.

Cheers